SDL_GetJoystickName(3)

NAME
SDL_GetJoystickName - Get the implementation dependent name of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetJoystickName(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns the name of the selected joystick. If no name can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickInstanceName(3)